Bug 217707 - net-mgmt/cacti: update to 1.1.4
Summary: net-mgmt/cacti: update to 1.1.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2017-03-11 17:57 UTC by Daniel Austin
Modified: 2017-04-26 07:35 UTC (History)
2 users (show)

See Also:
freebsd-ports: maintainer-feedback+


Attachments
Update cacti to 1.0.4 (3.95 KB, patch)
2017-03-11 17:57 UTC, Daniel Austin
freebsd-ports: maintainer-approval+
Details | Diff
Update cacti to 1.1.4 (10.85 KB, patch)
2017-04-25 17:21 UTC, Daniel Austin
freebsd-ports: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Austin 2017-03-11 17:57:41 UTC
Created attachment 180727 [details]
Update cacti to 1.0.4

Update cacti to 1.0.4 to fix bugs.
Comment 1 Daniel Austin 2017-03-11 17:59:14 UTC
nearly forgot...

Poudriere testport logs for 10.3/11.0 i386/amd64 at:

https://poudriere.dan.tm/poudriere/data/latest-per-pkg/cacti/1.0.4/
Comment 2 Kirill Ponomarev freebsd_committer 2017-03-13 18:21:22 UTC
Could you please take a look at:

https://reviews.freebsd.org/D9975

and give your opinion about it or updated patch. Thanks.
Comment 3 Kurt Jaeger freebsd_committer 2017-04-24 19:32:19 UTC
cacti is now at 1.1.4 ?
Comment 4 Daniel Austin 2017-04-24 19:36:57 UTC
(In reply to Kurt Jaeger from comment #3)

Sadly they're releasing them faster than I can test them... I've been hoping they would take a break so I can catch up.

I'm happy to release a newer version, but they seem to be breaking as much as they're fixing each release!
Comment 5 Daniel Austin 2017-04-25 17:21:38 UTC
Created attachment 182085 [details]
Update cacti to 1.1.4
Comment 6 Daniel Austin 2017-04-25 17:22:49 UTC
Poudriere testport logs at:

https://poudriere.dan.tm/poudriere/data/latest-per-pkg/cacti/1.1.4/

Note: portlint will complain about gettext not being in USES= but it is not required.  php gettext module is pulled in (but also not necessarily required)
Comment 7 Daniel Austin 2017-04-25 17:23:58 UTC
(In reply to Kirill Ponomarew from comment #2)
Thanks for the tips... i've taken some on board in the latest update to 1.1.4.
I pulled in the gettext USES to keep portlint quiet, but it's not needed so i've taken it back out for 1.1.4 update.
Comment 8 Kurt Jaeger freebsd_committer 2017-04-25 19:50:18 UTC
testbuilds@work
Comment 9 Daniel Austin 2017-04-26 07:23:38 UTC
(In reply to Kurt Jaeger from comment #8)
argh! they released 1.1.5 today - they're seriously annoying.  If they keep this up, they'll catch up with chrome for version numbers...

Please continue to process 1.1.4 into ports and i'll look at updating it to whatever new version they're up to in a week or two.
Comment 10 Kurt Jaeger freebsd_committer 2017-04-26 07:35:07 UTC
Committed, thanks!

Can you try to convert the files/patch-* files in makepatch format for 1.1.5 ?
Comment 11 commit-hook freebsd_committer 2017-04-26 07:35:14 UTC
A commit references this bug:

Author: pi
Date: Wed Apr 26 07:35:07 UTC 2017
New revision: 439432
URL: https://svnweb.freebsd.org/changeset/ports/439432

Log:
  net-mgmt/cacti: update 1.0.4 -> 1.1.4

  PR:		217707
  Changes:	http://www.cacti.net/changelog.php
  Submitted by:	Daniel Austin <freebsd-ports@dan.me.uk> (maintainer)

Changes:
  head/net-mgmt/cacti/Makefile
  head/net-mgmt/cacti/distinfo
  head/net-mgmt/cacti/files/patch-poller_maintenance.php
  head/net-mgmt/cacti/pkg-plist